EventLogBossEJBImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.EventLogBossEJBImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class EventLogBossEJBImpl

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.EventLogBossEJBImpl

All Implemented Interfaces:
  java.io.Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

    public class EventLogBossEJBImpl

extends BizappSessionEJB
implements javax.ejb.SessionBean

The BizApp's interface to the Events/Logs

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`EventLogBossEJBImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`java.util.List` | `getEvents(int sessionId, AppdefEntityID aeid, java.lang.String[] eventTypes, long beginTime, long endTime)` Find events based on event type and time range for multiple resources
`java.util.List` | `getEvents(int sessionId, AppdefEntityID aeid, java.lang.String status, long beginTime, long endTime)` Find events based on status and time range for multiple resources
`java.util.List` | `getEvents(int sessionId, java.lang.String eventType, AppdefEntityID[] ids, long beginTime, long endTime)` Find events based on event type and time range for multiple resources
`java.util.List` | `getEvents(int sessionId, java.lang.String eventType, AppdefEntityID id, long beginTime, long endTime)` Find events based on event type and time range for a resource
`static org.hyperic.hq.bizapp.shared.EventLogBossLocal` | `getOne()`
`boolean[]` | `logsExistPerInterval(int sessionId, AppdefEntityID aeid, long beginTime, long endTime, int intervals)` Get an array of boolean indicating if logs exist per interval, for an entity over a given time range.
`void` | `setSessionContext(javax.ejb.SessionContext ctx)`
`void` | `startup()`

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventLogBossEJBImpl

    public EventLogBossEJBImpl()

Method Detail

### getEvents

    public java.util.List getEvents(int sessionId,
                                    java.lang.String eventType,
                                    AppdefEntityID id,
                                    long beginTime,
                                    long endTime)
                             throws SessionNotFoundException,
                                    SessionTimeoutException

  Find events based on event type and time range for a resource

  Parameters:
    `eventType` - Event classname (ControlEvent.class.getName())
  Returns:
    List of EventLogValue objects or an empty List if no events are found
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### getEvents

    public java.util.List getEvents(int sessionId,
                                    java.lang.String eventType,
                                    AppdefEntityID[] ids,
                                    long beginTime,
                                    long endTime)
                             throws SessionNotFoundException,
                                    SessionTimeoutException

  Find events based on event type and time range for multiple resources

  Parameters:
    `eventType` - Event classname (ControlEvent.class.getName())
  Returns:
    List of EventLogValue objects or an empty List if no events are found
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### getEvents

    public java.util.List getEvents(int sessionId,
                                    AppdefEntityID aeid,
                                    java.lang.String[] eventTypes,
                                    long beginTime,
                                    long endTime)
                             throws SessionNotFoundException,
                                    SessionTimeoutException

  Find events based on event type and time range for multiple resources

  Parameters:
    `eventTypes` - Array of event class names. (ControlEvent.class.getName())
  Returns:
    List of EventLogValue objects or an empty List if no events are found
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### getEvents

    public java.util.List getEvents(int sessionId,
                                    AppdefEntityID aeid,
                                    java.lang.String status,
                                    long beginTime,
                                    long endTime)
                             throws SessionNotFoundException,
                                    SessionTimeoutException

  Find events based on status and time range for multiple resources

  Returns:
    List of EventLogValue objects or an empty List if no events are found
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### logsExistPerInterval

    public boolean[] logsExistPerInterval(int sessionId,
                                          AppdefEntityID aeid,
                                          long beginTime,
                                          long endTime,
                                          int intervals)
                                   throws SessionNotFoundException,
                                          SessionTimeoutException

  Get an array of boolean indicating if logs exist per interval, for an entity over a given time range.

  Parameters:
    `aeid` - the entity ID
  Returns:
    boolean array indicating if logs exist per interval.
  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`

### startup

    public void startup()

### getOne

    public static org.hyperic.hq.bizapp.shared.EventLogBossLocal getOne()

### ejbCreate

    public void ejbCreate()

### ejbRemove

    public void ejbRemove()

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`

### ejbActivate

    public void ejbActivate()

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Overrides:
    `setSessionContext` in class `BizappSessionEJB`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.